Package org.zkoss.stateless.action.data

## Class MoveData

- java.lang.Object
- - org.zkoss.stateless.action.data.MoveData

- All Implemented Interfaces:
    `java.io.Serializable`, `ActionData`

      public class MoveData
      extends java.lang.Object
      implements ActionData

  Represents an action caused by a component being moved.
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALT_KEY` | Indicates whether the Alt key is pressed.
    `static int` | `CTRL_KEY` | Indicates whether the Ctrl key is pressed.
    `static int` | `SHIFT_KEY` | Indicates whether the Shift key is pressed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getKeys()` | Returns what keys were pressed when the component is moved, or 0 if none of them was pressed.
    `java.lang.String` | `getLeft()` | Returns the left of the component after moved.
    `java.lang.String` | `getTop()` | Returns the top of the component after moved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALT_KEY

          public static final int ALT_KEY

      Indicates whether the Alt key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

    - #### CTRL_KEY

          public static final int CTRL_KEY

      Indicates whether the Ctrl key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

    - #### SHIFT_KEY

          public static final int SHIFT_KEY

      Indicates whether the Shift key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLeft

          public final java.lang.String getLeft()

      Returns the left of the component after moved.

    - #### getTop

          public final java.lang.String getTop()

      Returns the top of the component after moved.

    - #### getKeys

          public final int getKeys()

      Returns what keys were pressed when the component is moved, or 0 if none of them was pressed. It is a combination of `CTRL_KEY`, `SHIFT_KEY` and `ALT_KEY`.